// CPU version with a short buffer
#include <stdio.h>
#include <string.h>

#define SIZE 26

int main()
{
	char *buffer = "THE QUICK BROWN FOX JUMPED OVER THE LAZY DOGS";
	int histo[SIZE];  // Count of letters A-Z in buffer, where [0]=A's,
		  	  // [1]=B's, etc.

	for (int i = 0; i < SIZE; i++)
		histo[i] = 0;

	for (int i = 0; i < strlen(buffer); i++)
		histo[buffer[i]-'A']++;

	for (int i = 0; i < SIZE; i++)
	{
		printf("%c appears %d times.\n", ('A'+i), histo[i]);
	}
	
 	return 0;
}
